array_catb(3)

NAME
array_catb - append bytes to an array

SYNTAX
#include <array.h> void array_catb(array* x,const char* y,int64 len);
  array x;
  const char* y;
  int64 len;
  array_catb(&x,y,len);

DESCRIPTION
array_catb appends the bytes y[0], y[1], ..., y[len-1] to the array x. It handles failure in the same way as array_cat.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_reset(3), array_cat(3), array_cats(3), array_cats0(3), array_cate(3)